Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001977KdenliveFile Loadingpublic2011-01-21 09:492011-06-10 10:49
Reporterevorster 
Assigned Toddennedy 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformX86_64OSLinuxOS Version2011-19
Product Version0.7.8 
Target VersionFixed in Version0.8 
Summary0001977: Crash when opening lots of clips at once.
DescriptionWhen I open 200 + clips of DNxHD format, kdenlive puts them in the Project Tree, but crashes once it starts to make thumbnails.

I have tried with less clips... when adding about three clips at once, it works, more than five it crashes.
Steps To ReproduceOpen new project, add a lot of clips.
Additional InformationQuad Core Core2 CPU, 8GB of RAM. All software compiled from source with -O2
The clips were transcoded on another machine.
Adding the clips to the project one by one as they transcode works as well.

I think there are too many processes trying to open thumbnails all at once, and so the computer runs out of free cores to assign.

I have gdb and valgrind installed, and can provide rudimentary backtraces if no one can reproduce this crash.
TagsNo tags attached.
Build/Install MethodManual build from release
Attached Files

- Relationships

-  Notes
(0006329)
j-b-m (administrator)
2011-01-21 11:25

That issue is fixed in current svn. Kdenlive was opening an unlimited number of processes,leading to a crash. It is now under control in svn version, if I remember correctly, there is another bug report with more details about this issue.
(0006330)
evorster (reporter)
2011-01-21 12:37

KDE crash info:

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (process 21371)]

Thread 1 (process 21371):
#0 0x00007f2aff6a774c in ?? () from /lib64/libpthread.so.0
#1 0x00007f2aff6a31b9 in ?? () from /lib64/libpthread.so.0
0000002 0x00007f2aff6a2fdb in pthread_mutex_lock () from /lib64/libpthread.so.0
0000003 0x00007f2b0323bc31 in mlt_cache_put (cache=0x2e38a10, object=0x80, data=0x7f2acb5d62b0, size=-1, destructor=0x2e38ac0) at mlt_cache.c:362
0000004 0x00007f2aeaa29f7b in producer_avformat_init (profile=0x2908a90, service=<value optimized out>, file=0x7f2acb5d6260 "/media/Video_500/Videos/Clips/2010/12_Columbus_GOM/00099.MTS") at producer_avformat.c:219
0000005 0x00007f2b03239c7a in mlt_factory_producer (profile=0x2908a90, service=0x7f2acb5d61d0 "avformat", input=0x7f2acb5d6260) at mlt_factory.c:242
0000006 0x00007f2aeac3a76a in create_from (profile=0x2908a90, file=0x7f2acb5d6260 "/media/Video_500/Videos/Clips/2010/12_Columbus_GOM/00099.MTS") at producer_loader.c:43
0000007 create_producer (profile=0x2908a90, file=0x7f2acb5d6260 "/media/Video_500/Videos/Clips/2010/12_Columbus_GOM/00099.MTS") at producer_loader.c:97
0000008 0x00007f2aeac3ab3c in producer_loader_init (profile=0x2908a90, type=<value optimized out>, id=0x25b28e0 "loader", arg=0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>) at producer_loader.c:197
0000009 0x00007f2b03239c7a in mlt_factory_producer (profile=0x2908a90, service=0x25b28e0 "loader", input=0x7f2acb5d6260) at mlt_factory.c:242
0000010 0x00007f2b03015d5b in Mlt::Producer::Producer(Mlt::Profile&, char const*, char const*) () from /usr/lib64/libmlt++.so.3
0000011 0x00000000004a41d9 in Render::getFileProperties(QDomElement, QString const&, int, bool) ()
0000012 0x00000000004afb06 in Render::qt_metacall(QMetaObject::Call, int, void**) ()
0000013 0x00007f2affa341df in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib/libQtCore.so.4
0000014 0x0000000000476228 in ProjectList::getFileProperties(QDomElement, QString const&, int, bool) ()
0000015 0x000000000047ff02 in ProjectList::slotProcessNextClipInQueue() ()
0000016 0x000000000048633d in ProjectList::qt_metacall(QMetaObject::Call, int, void**) ()
0000017 0x00007f2affa341df in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib/libQtCore.so.4
0000018 0x00007f2affa393af in ?? () from /opt/kde4/lib/libQtCore.so.4
0000019 0x00007f2affa2d859 in QObject::event(QEvent*) () from /opt/kde4/lib/libQtCore.so.4
0000020 0x00007f2afe92f48c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /opt/kde4/lib/libQtGui.so.4
0000021 0x00007f2afe935e6d in QApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib/libQtGui.so.4
0000022 0x00007f2b029427e6 in KApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libkdeui.so.5
0000023 0x00007f2affa1c58b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /opt/kde4/lib/libQtCore.so.4
0000024 0x00007f2affa4b58a in ?? () from /opt/kde4/lib/libQtCore.so.4
0000025 0x00007f2affa488f4 in ?? () from /opt/kde4/lib/libQtCore.so.4
0000026 0x00007f2af95649a1 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000027 0x00007f2af95688d8 in g_main_context_iterate () from /usr/lib64/libglib-2.0.so.0
0000028 0x00007f2af9568a8c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000029 0x00007f2affa485e3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib/libQtCore.so.4
0000030 0x00007f2afe9e126e in ?? () from /opt/kde4/lib/libQtGui.so.4
0000031 0x00007f2affa1b2e2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib/libQtCore.so.4
0000032 0x00007f2affa1b6c4 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib/libQtCore.so.4
0000033 0x00007f2affa1f73b in QCoreApplication::exec() () from /opt/kde4/lib/libQtCore.so.4
0000034 0x000000000044c635 in main ()
(0006395)
ddennedy (developer)
2011-02-08 08:40

You supplied a backtrace, but you did not indicate if you tested svn head (or recent snapshot) as jb indicated.
(0006404)
evorster (reporter)
2011-02-09 06:19

You are correct, it is indeed fixed in svn. The error was only in 0.7.8.

Kind regards,
-Evert-

- Issue History
Date Modified Username Field Change
2011-01-21 09:49 evorster New Issue
2011-01-21 11:25 j-b-m Note Added: 0006329
2011-01-21 12:37 evorster Note Added: 0006330
2011-02-08 08:40 ddennedy Note Added: 0006395
2011-02-08 08:40 ddennedy Assigned To => ddennedy
2011-02-08 08:40 ddennedy Status new => feedback
2011-02-09 06:19 evorster Note Added: 0006404
2011-02-09 06:19 evorster Status feedback => assigned
2011-02-09 08:42 ddennedy Status assigned => resolved
2011-02-09 08:42 ddennedy Fixed in Version => Recent git
2011-02-09 08:42 ddennedy Resolution open => fixed
2011-04-26 21:58 j-b-m Fixed in Version Recent git => 0.8
2011-06-10 10:49 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker